## kiconthemes 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KIconThemes)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX KICONTHEMES
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(autotests)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IconThemes")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5IconThemesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5IconThemesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5IconThemesTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

macro(KICONTHEMES_TESTS)
    foreach(_testname ${ARGN})
        set(_srcs ${_testname}.cpp)
        qt5_add_resources(_srcs resources.qrc)
	ecm_add_test(${_srcs} TEST_NAME kiconthemes-${_testname} LINK_LIBRARIES Qt5::Test KF5::IconThemes KF5::WidgetsAddons KF5::ConfigCore)
    endforeach(_testname)
endmacro()

kiconthemes_tests(
  kiconloader_unittest
  kiconloader_resourcethemetest
)

## kiconthemes 5.3.0

=== debian/changelog ===
kiconthemes (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:13:53 +0100

kiconthemes (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:56:08 +0200

kiconthemes (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Make sure we add the XS-Testsuite field to debian/control

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:29:44 +0200

kiconthemes (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 15:19:53 +0200

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libqt5svg5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kiconthemes.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kiconthemes.git

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev,
         libkf5widgetsaddons-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: libkf5iconthemes-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains debug symbols for kiconthemes.

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         oxygen-icon-theme
Restrictions: rw-build-tree

## kiconthemes 5.9.0

=== debian/changelog ===
kiconthemes (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:32:48 +0200

kiconthemes (5.8.0-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * batchpatch symbols. Removed KIconDialog::eventFilter(QObject*, QEvent*)
    auto generated by ci.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:43:18 +0100

kiconthemes (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:50:20 +0100

kiconthemes (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:11:41 +0100

kiconthemes (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:05:08 +0100

kiconthemes (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:04:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
                libqt5svg5-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kiconthemes.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kiconthemes.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kiconthemes.git
 
 Package: libkf5iconthemes-bin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5iconthemes5-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kiconthemes-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kiconthemes-(.*)\.tar\.xz

## kiconthemes 5.15.0

=== debian/changelog ===
kiconthemes (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:49:45 +0100

kiconthemes (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:19:15 +0100

kiconthemes (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:08:53 +0200

kiconthemes (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge, remove unused broken backport.
  * Vivid backports. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:31:06 +0200

kiconthemes (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Jun 2015 16:02:29 +0200

kiconthemes (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 16:02:29 +0200

kiconthemes (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:28 +0200

kiconthemes (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:52 +0100

kiconthemes (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:47 +0100

kiconthemes (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 10:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,16 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libqt5svg5-dev,
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5configwidgets-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5itemviews-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
 XS-Testsuite: autopkgtest
@@ -37,12 +31,12 @@
 Package: libkf5iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev,
-         libkf5i18n-dev,
+Depends: libkf5configwidgets-dev (>= 5.15.0~),
+         libkf5i18n-dev (>= 5.15.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev,
-         libkf5widgetsaddons-dev,
-         qtbase5-dev,
+         libkf5itemviews-dev (>= 5.15.0~),
+         libkf5widgetsaddons-dev (>= 5.15.0~),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kiconthemes
  Library to use/access icon themes in Qt. These classes

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,6 @@
          xvfb, xauth, dbus-x11, openbox,
          oxygen-icon-theme
 Restrictions: rw-build-tree
+
+Tests: acc
+Depends: @, dh-acc, exuberant-ctags

## kiconthemes 5.18.0

=== debian/changelog ===
kiconthemes (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:21:44 +0100

kiconthemes (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:54 +0100

kiconthemes (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:07 +0200

kiconthemes (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:40 +0100

kiconthemes (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:27 +0200

kiconthemes (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 23:38:33 +0200

kiconthemes (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
                libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kiconthemes.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kiconthemes.git
 
@@ -31,11 +31,11 @@
 Package: libkf5iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.15.0~),
-         libkf5i18n-dev (>= 5.15.0~),
+Depends: libkf5configwidgets-dev (>= 5.16.0~),
+         libkf5i18n-dev (>= 5.16.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.15.0~),
-         libkf5widgetsaddons-dev (>= 5.15.0~),
+         libkf5itemviews-dev (>= 5.16.0~),
+         libkf5widgetsaddons-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kiconthemes

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,5 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5iconthemes5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test on build time

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: acc
 Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kiconthemes-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kiconthemes-([\d.]+)\.tar\.xz

## kiconthemes 5.26.0

=== debian/changelog ===
kiconthemes (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)
  * Refresh symbols from build logs

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:45:28 +0100

kiconthemes (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:41:39 +0000

kiconthemes (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:12:56 +0200

kiconthemes (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Refresh symbols
  * Adding new build dep libkf5archive-dev
  * Refreshing symbols again

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:25:22 -0700

kiconthemes (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:02 +0100

kiconthemes (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5itemviews-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5archive-dev (>= 5.26.0~),
+               libkf5configwidgets-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5itemviews-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
                libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kiconthemes.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kiconthemes.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
 
 Package: libkf5iconthemes-bin
 Architecture: any
@@ -31,11 +32,11 @@
 Package: libkf5iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.16.0~),
-         libkf5i18n-dev (>= 5.16.0~),
+Depends: libkf5configwidgets-dev (>= 5.26.0~),
+         libkf5i18n-dev (>= 5.26.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.16.0~),
-         libkf5widgetsaddons-dev (>= 5.16.0~),
+         libkf5itemviews-dev (>= 5.26.0~),
+         libkf5widgetsaddons-dev (>= 5.26.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kiconthemes
@@ -64,15 +65,3 @@
  are used by the iconloader but can be used by others too.
  .
  This package contains the data files.
-
-Package: libkf5iconthemes5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5iconthemes5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kiconthemes
- Library to use/access icon themes in Qt. These classes
- are used by the iconloader but can be used by others too.
- .
- Contains debug symbols for kiconthemes.

## kiconthemes 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,23 +4,24 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
+include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION}
                   VARIABLE_PREFIX KICONTHEMES
@@ -29,11 +30,12 @@
                   SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
+find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kiconthemes (5.28.0-2) unstable; urgency=medium

  * Add new upstream patch:
    Inform-QIconLoader-also-when-the-desktop-icon-theme-is-ch.patch
  * Add new upstream patch: KIconEngine-Center-icon-in-requested-rect.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Apr 2017 12:47:09 +0200

kiconthemes (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:18 +0100

kiconthemes (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:03:16 +0200

kiconthemes (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:04 +0200

kiconthemes (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 09:58:31 +0200

kiconthemes (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 18:43:55 +0200

kiconthemes (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 17:21:15 +0200

kiconthemes (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 May 2016 15:31:20 +0200

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5archive-dev (>= 5.28.0~),
               libkf5configwidgets-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5itemviews-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libqt5svg5-dev (>= 5.5.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kiconthemes.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kiconthemes.git

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.28.0~),
         libkf5i18n-dev (>= 5.28.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.28.0~),
         libkf5widgetsaddons-dev (>= 5.28.0~),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.
Breaks: kross-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.28),
        libkf5kcmutils-dev (<< 5.28),
        libkf5kdelibs4support-dev (<< 5.28),
        libkf5khtml-dev (<< 5.28),
        libkf5style-dev (<< 5.28),
        libkf5textwidgets-dev (<< 5.28),
        libkf5xmlgui-dev (<< 5.28)

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.28),
        libkf5bookmarks5 (<< 5.28),
        libkf5declarative5 (<< 5.28),
        libkf5kcmutils5 (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml-bin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5kiofilewidgets5 (<< 5.28),
        libkf5kiowidgets5 (<< 5.28),
        libkf5krossui5 (<< 5.28),
        libkf5newstuff5 (<< 5.28),
        libkf5parts5 (<< 5.28),
        libkf5plasma5 (<< 5.28),
        libkf5plasmaquick5 (<< 5.28),
        libkf5style5 (<< 5.28),
        libkf5texteditor5 (<< 5.28),
        libkf5textwidgets5 (<< 5.28),
        libkf5wallet-bin (<< 5.28),
        libkf5xmlgui5 (<< 5.28),
        plasma-framework (<< 5.28),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.28)

Package: libkf5iconthemes-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: testsuite
 Depends: @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11, openbox,
+         xvfb, xauth, dbus (>= 1.8), openbox,
          oxygen-icon-theme
 Restrictions: rw-build-tree

## kiconthemes 5.31.0

=== debian/changelog ===
kiconthemes (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:06 +0000

kiconthemes (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:54 +0000

kiconthemes (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:10 +0000

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.31.0~),
         libkf5i18n-dev (>= 5.31.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.31.0~),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

## kiconthemes 5.38.0

=== debian/changelog ===
kiconthemes (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:35 +0100

kiconthemes (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:19 +0100

kiconthemes (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:56 +0100

kiconthemes (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:18 +0100

kiconthemes (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:12 +0100

kiconthemes (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5configwidgets-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5itemviews-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
@@ -32,11 +32,11 @@
 Package: libkf5iconthemes-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.31.0~),
-         libkf5i18n-dev (>= 5.31.0~),
+Depends: libkf5configwidgets-dev (>= 5.38.0~),
+         libkf5i18n-dev (>= 5.38.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.31.0~),
-         libkf5widgetsaddons-dev (>= 5.31.0~),
+         libkf5itemviews-dev (>= 5.38.0~),
+         libkf5widgetsaddons-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for kiconthemes

## kiconthemes 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KIconThemes)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KIconThemes VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,18 +21,19 @@
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
 include(ECMQtDeclareLoggingCategory)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION}
+ecm_setup_version(PROJECT
                   VARIABLE_PREFIX KICONTHEMES
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_version.h"
                   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfigVersion.cmake"
                   SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
@@ -57,9 +60,19 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IconThemes")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5IconThemes_QCH
+        FILE KF5IconThemesQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5IconThemesQchTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5IconThemesConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}

=== src/CMakeLists.txt ===
add_subdirectory(tools/kiconfinder)
if (APPLE)
    add_subdirectory(tools/ksvg2icns)
endif()

set(kiconthemes_SRCS
  kiconbutton.cpp
  kicondialog.cpp
  kiconeffect.cpp
  kiconengine.cpp
  kiconloader.cpp
  kicontheme.cpp
)
qt5_add_resources(kiconthemes_SRCS
  hicolor.qrc
)
ecm_qt_declare_logging_category(kiconthemes_SRCS HEADER debug.h IDENTIFIER  KICONTHEMES CATEGORY_NAME kf5.kiconthemes)

add_library(KF5IconThemes ${kiconthemes_SRCS})
generate_export_header(KF5IconThemes BASE_NAME KIconThemes)
add_library(KF5::IconThemes ALIAS KF5IconThemes)

target_include_directories(KF5IconThemes INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes>")

target_link_libraries(KF5IconThemes
  PUBLIC
    Qt5::Widgets
  PRIVATE
    Qt5::DBus
    Qt5::Svg
    KF5::Archive       # for KCompressionDevice
    KF5::I18n          # for i18n in KIconDialog
    KF5::WidgetsAddons # for KPixmapSequence family
    KF5::ItemViews      # for KListWidgetSearchLine
    KF5::ConfigWidgets # for KColorScheme
    KF5::CoreAddons    # for kshareddatacache.h
)

set_target_properties(KF5IconThemes PROPERTIES VERSION   ${KICONTHEMES_VERSION_STRING}
                                               SOVERSION ${KICONTHEMES_SOVERSION}
                                               EXPORT_NAME IconThemes
)

ecm_generate_headers(KIconThemes_HEADERS
  HEADER_NAMES
  KIconButton
  KIconDialog
  KIconEffect
  KIconLoader
  KIconTheme
  KIconEngine

  REQUIRED_HEADERS KIconThemes_HEADERS
)

install(TARGETS KF5IconThemes EXPORT KF5IconThemesTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_export.h
  ${KIconThemes_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5IconThemes_QCH
        NAME KIconThemes
        BASE_NAME KF5IconThemes
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIconThemes_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Widgets_QCH
        BLANK_MACROS
            KICONTHEMES_EXPORT
            KICONTHEMES_DEPRECATED
            KICONTHEMES_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KIconThemes LIB_NAME KF5IconThemes DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kiconthemes (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:44 +0000

kiconthemes (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:20 +0000

kiconthemes (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:28 +0000

kiconthemes (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:05:32 -0600

kiconthemes (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Update symbols from build logs
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:27 +0000

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5archive-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.44.0~),
         libkf5i18n-dev (>= 5.44.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.44.0~),
         libkf5widgetsaddons-dev (>= 5.44.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5iconthemes5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test on build time

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         oxygen-icon-theme
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kiconthemes-([\d.]+)\.tar\.xz
